import { Role, RolePost, RolePut } from '../models/role';
import BaseAPIService from './BaseAPIService';
declare class RoleService extends BaseAPIService<Role, RolePut, RolePost, void> {
    constructor(baseURL: string, token: string);
    addPermission(roleId: string, permissionId: string): Promise<void | Role>;
    removePermission(roleId: string, permissionId: string): Promise<Role>;
}
export default RoleService;
